> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Merge Companies

> Merge duplicate companies into `primary_id`: people, deals, notes, tasks and domains move to it.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/crm/companies/merge
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/companies/merge:
    post:
      tags:
        - CRM
      summary: Merge Companies
      description: >-
        Merge duplicate companies into `primary_id`: people, deals, notes, tasks
        and domains move to it.
      operationId: merge_crm_companies
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MergeIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    MergeIn:
      properties:
        primary_id:
          title: Primary Id
          type: string
        duplicate_ids:
          items:
            type: string
          title: Duplicate Ids
          type: array
      required:
        - primary_id
        - duplicate_ids
      title: MergeIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.